package com.samelement.iot_notification.device;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;
import java.util.List;

public class Node {
    @SerializedName("id")
    @Expose
    private String id;
    @SerializedName("name")
    @Expose
    private String name;
    @SerializedName("type")
    @Expose
    private String type;
    @SerializedName("properties")
    @Expose
    private List<NodeProperty> properties = new ArrayList<>();
    @SerializedName("array")
    @Expose
    private String array;
    @SerializedName("isconfig")
    @Expose
    private boolean isconfig;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<NodeProperty> getProperties() {
        return properties;
    }

    public void setProperties(List<NodeProperty> properties) {
        this.properties = properties;
    }

    public String getArray() {
        return array;
    }

    public void setArray(String array) {
        this.array = array;
    }

    public boolean isIsconfig() {
        return isconfig;
    }

    public void setIsconfig(boolean isconfig) {
        this.isconfig = isconfig;
    }

}
