package com.samelement.iot_notification.resource;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
import com.samelement.iot_notification.device.Device;

public class Resource {
    @SerializedName("id")
    @Expose
    private String id;
    @SerializedName("device_id")
    @Expose
    private String deviceId;
    @SerializedName("name")
    @Expose
    private String name;
    @SerializedName("parameter")
    @Expose
    private String parameter;
    @SerializedName("operation_mode")
    @Expose
    private String operationMode;
    @SerializedName("operation_value")
    @Expose
    private String operationValue;
    @SerializedName("options")
    @Expose
    private ResourceOptions options;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParameter() {
        return parameter;
    }

    public void setParameter(String parameter) {
        this.parameter = parameter;
    }

    public String getOperationMode() {
        return operationMode;
    }

    public void setOperationMode(String operationMode) {
        this.operationMode = operationMode;
    }

    public String getOperationValue() {
        return operationValue;
    }

    public void setOperationValue(String operationValue) {
        this.operationValue = operationValue;
    }

    public ResourceOptions getOptions() {
        return options;
    }

    public void setOptions(ResourceOptions options) {
        this.options = options;
    }

    private Device device;

    public Device getDevice() {
        return device;
    }

    public void setDevice(Device device) {
        this.device = device;
    }
}